NonResponses
Not yet fully verified
This content is not available in your language yet.
NonResponses are wrappers around responses that haven’t been filled out. They are needed for SBG and follow that format.
They are created:
- 6 hours after responses expire (always code 04)
- When a professional deletes uncompleted responses.
- Directly by the professional on the prepare responses page for a set of questionnaires.
See SBG definition: https://www.sbggz.nl/MDS?contentitem=cded80f9-83e4-4159-8596-9d04c7fde64f#Reden-non-response
Get a single non_response
Section titled “Get a single non_response”GET /api/v1/dossier/:epd_id/non_responses/:idResponse
Section titled “Response”Sample request
GET /api/v1/dossiers/epd_id_0/non_responses/1 HTTP/1.1Host: api.example.comAuthorization: Bearer YOUR_API_TOKENcurl "https://api.example.com/api/v1/dossiers/epd_id_0/non_responses/1" \ -u "username:password"$username = "username"$password = "password"$base64AuthInfo = [Convert]::ToBase64String([Text.Encoding]::ASCII.GetBytes(("{0}:{1}" -f $username, $password)))
$headers = @{ "Authorization" = "Basic $base64AuthInfo"}
Invoke-RestMethod -Uri "https://api.example.com/api/v1/dossiers/epd_id_0/non_responses/1" ` -Method GET ` -Headers $headers{ "id": 1, "non_response_at": "2015-01-31T13:30:55.000+01:00", "response_ids": [ 1 ], "reason_group": "Patiënt is wel benaderd voor de ROM meting, maar:", "reason_option": "Patiënt retourneert meetinstrument niet.", "reason_code": "04", "reason_other": "user entered text"}Response Attributes
Section titled “Response Attributes”| Name | Type | Description |
|---|---|---|
id |
integer |
Id uniquely identifying the non_response. |
non_response_at |
datetime |
moment the non_response was registered. |
reason_group |
string |
e.g. “Patiënt is wel benaderd voor de ROM meting, maar:” |
reason_option |
string |
e.g. “Patiënt retourneert meetinstrument niet.” |
reason_code |
string |
e.g. “04” |
reason_other |
string |
user entered text. |
Get all non_responses for a dossier
Section titled “Get all non_responses for a dossier”GET /api/v1/dossier/:epd_id/non_responsesReturns an array of hashes of the same format as show.